/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Perfil;

/**
 * 
 * @author rodrigo
 */
public interface PerfilService {

	public List<Perfil> obtenerTodos();

	public Perfil obtenerID(Integer id);

	public Perfil suscribir(Perfil entidad);

	public Perfil actualizacion(Perfil entidad);

	public void borrar(Perfil entidad);

	public List<Perfil> buscar(String dscPerfil);

	public List<Perfil> buscaPerfilJerarquia(Perfil perfilUsuario);
	
	public Boolean clonarPerfil(Integer perfilId, String nomePerfil);

}
